Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

API/Repository/SectionService.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository;
8
9 use eZ\Publish\API\Repository\Values\Content\Location;
10 use eZ\Publish\API\Repository\Values\Content\SectionCreateStruct;
11 use eZ\Publish\API\Repository\Values\Content\ContentInfo;
12 use eZ\Publish\API\Repository\Values\Content\Section;
13 use eZ\Publish\API\Repository\Values\Content\SectionUpdateStruct;
14
18 interface SectionService
19 {
30 public function createSection(SectionCreateStruct $sectionCreateStruct);
31
43 public function updateSection(Section $section, SectionUpdateStruct $sectionUpdateStruct);
44
55 public function loadSection($sectionId);
56
62 public function loadSections();
63
74 public function loadSectionByIdentifier($sectionIdentifier);
75
85 public function countAssignedContents(Section $section);
86
98 public function isSectionUsed(Section $section);
99
109 public function assignSection(ContentInfo $contentInfo, Section $section);
110
118 public function assignSectionToSubtree(Location $location, Section $section): void;
119
130 public function deleteSection(Section $section);
131
137 public function newSectionCreateStruct();
138
144 public function newSectionUpdateStruct();
145 }
eZ\Publish\API\Repository\Values\Content\ContentInfo
Definition: API/Repository/Values/Content/ContentInfo.php:31
eZ\Publish\API\Repository\Values\Content\Location
Definition: API/Repository/Values/Content/Location.php:32
eZ\Publish\API\Repository\Values\Content\SectionCreateStruct
This class represents a section.
Definition: API/Repository/Values/Content/SectionCreateStruct.php:14
eZ\Publish\API\Repository\Values\Content\SectionUpdateStruct
This class is used to provide data for updating a section.
Definition: API/Repository/Values/Content/SectionUpdateStruct.php:13
eZ\Publish\API\Repository\Values\Content\Section
Definition: API/Repository/Values/Content/Section.php:19
eZ\Publish\API\Repository\SectionService
Section service, used for section operations.
Definition: API/Repository/SectionService.php:19
eZ\Publish\API\Repository\SectionService\newSectionUpdateStruct
newSectionUpdateStruct()
Instantiates a new SectionUpdateStruct.
eZ\Publish\API\Repository\SectionService\newSectionCreateStruct
newSectionCreateStruct()
Instantiates a new SectionCreateStruct.
eZ\Publish\API\Repository\SectionService\createSection
createSection(SectionCreateStruct $sectionCreateStruct)
Creates the a new Section in the content repository.
eZ\Publish\API\Repository\SectionService\assignSectionToSubtree
assignSectionToSubtree(Location $location, Section $section)
Assigns the subtree to the given section this method overrides the current assigned section.
eZ\Publish\API\Repository\SectionService\deleteSection
deleteSection(Section $section)
Deletes $section from content repository.
eZ\Publish\API\Repository\SectionService\loadSection
loadSection($sectionId)
Loads a Section from its id ($sectionId).
eZ\Publish\API\Repository\SectionService\loadSectionByIdentifier
loadSectionByIdentifier($sectionIdentifier)
Loads a Section from its identifier ($sectionIdentifier).
eZ\Publish\API\Repository\SectionService\loadSections
loadSections()
Loads all sections, excluding the ones the current user is not allowed to read.
eZ\Publish\API\Repository\SectionService\isSectionUsed
isSectionUsed(Section $section)
Returns true if the given section is assigned to contents, or used in role policies,...
eZ\Publish\API\Repository\SectionService\updateSection
updateSection(Section $section, SectionUpdateStruct $sectionUpdateStruct)
Updates the given in the content repository.
eZ\Publish\API\Repository\SectionService\assignSection
assignSection(ContentInfo $contentInfo, Section $section)
Assigns the content to the given section this method overrides the current assigned section.
eZ\Publish\API\Repository\SectionService\countAssignedContents
countAssignedContents(Section $section)
Counts the contents which $section is assigned to.
eZ\Publish\API\Repository
Definition: API/Repository/BookmarkService.php:9
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.